#!/bin/sh

# Volumes
MIFOSX_CONF="${VOLUMES_DIR}/mifosx/mifosx_conf"

# Replacements
sed -i "s|\(^\s\+proxyName=\).*|\1\"${HOST}\"|" ${MIFOSX_CONF}/server.xml
sed -i "s|\(^\s\+proxyPort=\).*|\1\"${PORT}\"|" ${MIFOSX_CONF}/server.xml

QUERY="UPDATE \`c_external_service_properties\` SET \`value\` = '${EMAIL}' WHERE \`external_service_id\` = 2 and \`name\` LIKE 'username'"
spoc-container exec mifosx-mariadb -- mysql -e "${QUERY}" mifostenant-default
